petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSGetComponentDerivativeOffsets

Returns the offset of each field derivative on an evaluation point

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetComponentDerivativeOffsets(PetscDS prob, PetscInt *offsets[])

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

offsets -The offsets

### See Also

PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages